## yauap 0.2.4

=== Makefile ===


PREFIX=/usr
bindir=$(DESTDIR)${PREFIX}/bin


CFLAGS += -g3  -Wall
#glib 2
CFLAGS += `pkg-config --cflags glib-2.0`
LDFLAGS += `pkg-config --libs glib-2.0` 
#gstreamer
CFLAGS += `pkg-config --cflags gstreamer-0.10`
LDFLAGS += `pkg-config --libs gstreamer-0.10` -lgstpbutils-0.10
#dbus
CFLAGS += `pkg-config --cflags dbus-1`
LDFLAGS += `pkg-config --libs dbus-1` -ldbus-glib-1




CC=cc
OBJS=main.o commandline/kbd.o commandline/commandline.o dbus-service/yauap-service.o 
BINDIR=/usr/local/bin
DEPEND= makedepend $(CFLAGS)
all:    yauap

$(SRCS):
	$(CC) $(CFLAGS) -c $*.c



yauap-service-glue.h:
	dbus-binding-tool --prefix=yauap_object --mode=glib-server --output=dbus-service/yauap-service-glue.h dbus-service/yauap-service.xml 



yauap:  yauap-service-glue.h $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS)


clean:
	-rm yauap  $(OBJS) dbus-service/yauap-service-glue.h 

install:
	install -d "$(bindir)"
	install -m 755 yauap "$(bindir)"

=== debian/changelog ===
yauap (0.2.4-3) unstable; urgency=low

  * New Maintainer ( Closes: #623866 ).  
  * Update to 3.9.3 standard-version.
   

 -- Anthony Gasperin <anthony.gasperin@gmail.com>  Fri, 08 Jun 2012 20:26:26 +0200

yauap (0.2.4-2) unstable; urgency=low

  * Orphan the package: set maintainer to Debian QA Group.
  * Switch to debian source package format 3.0 (quilt).
  * Bump Standards-Version to 3.9.2: no changes needed.
  * Remove README.source, no longer needed.
  * Remove DMUA field from debian/control.
  * Fix building with --no-add-needed (Closes: #556766). 01_shlibdeps.diff
    enhancement stolen from Ubuntu (thanks to Michael Bienia).
  * Remove article from the beginning of the description synopsis.

 -- Modestas Vainius <modax@debian.org>  Sat, 23 Apr 2011 23:08:04 +0300

yauap (0.2.4-1) unstable; urgency=low

  * New upstream release.
  * Remove obsolete VCS fields.
  * Switch yauap-dbg section to debug.
  * Add README.source.
  * Bump Standards-Version to 3.8.3: no changes needed.
  * Switch build system to dh v7:
    - bump debhelper compat level to 7;
    - bump debhelper build dependency to 7.3.16 (dh_auto_install --destdir);
    - build depend on quilt >= 0.46-7~ for quilt dh addon;
    - adjust debian/rules.
  * Resync patches:
    - 03_volume_range_0_1.diff - adapt to upstream changes;
    - refresh other patches.
  * Add ${misc:Depends}.
  * Update years in debian/copyright.

 -- Modestas Vainius <modestas@vainius.eu>  Fri, 18 Sep 2009 18:18:50 +0300

yauap (0.2.2-2) unstable; urgency=low

  * Depend on gstreamer0.10-plugins-base. yauap does not play anything without
    it. 

 -- Modestas Vainius <modestas@vainius.eu>  Sat, 05 Apr 2008 21:17:38 +0300

yauap (0.2.2-1) unstable; urgency=low

  * Initial release. (Closes: #445366)
  * New patches:
    - 01_shlibdeps.diff - patch Makefile to get rid of useless libraries when
      linking.
    - 02_use_g_gint64_format.diff - use G_GINT64_FORMAT for sprintf()'ing
      gint64 typed integers.
    - 03_volume_range_0_1.diff - map yauap volume range to gstreamer range 0-1
      instead of 0-4. Volume value higher than 1 causes distortions on my
      machine and probably on many others.
    - 04_network_friendly_timeouts.diff - use saner (7 seconds instread of
      1 second) timeouts to get yauap play network streams.
    - 05_enable_iradio_metadata.diff - add support for metadata from
      shoutcast/icecast Internet radio stations.
  * Add debian/watch file.
  * Add a man page for yauap.

 -- Modestas Vainius <modestas@vainius.eu>  Tue, 04 Mar 2008 14:17:54 +0200

=== debian/control ===
Source: yauap
Section: sound
Priority: optional
Maintainer: Anthony Gasperin <anthony.gasperin@gmail.com>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 7.3.16), libdbus-glib-1-dev, libgstreamer-plugins-base0.10-dev
Homepage: http://www.nongnu.org/yauap/

Package: yauap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gstreamer0.10-plugins-base, gstreamer0.10-plugins-good
Recommends: gstreamer0.10-plugins-ugly
Suggests: gstreamer0.10-plugins-bad, gstreamer0.10-gnomevfs
Description: simple command line audio player based on GStreamer
 Yauap is a simple commandline audio player based on the GStreamer multimedia
 framework. It also exposes a DBus interface which allows other applications
 to use Yauap as a playback backend for audio files and streams.
 .
 You should install gstreamer0.10-plugins-ugly to get support for popular MPEG
 audio formats like MP3. You should install either gstreamer0.10-plugins-bad
 or gstreamer0.10-gnomevfs to get support for playback of network streams.

Package: yauap-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, yauap (= ${binary:Version})
Description: debugging symbols for Yauap
 This package provides debugging symbols for binaries shipped in the 'yauap'
 package. You should install this package to get more useful backtrace if you
 are about to report a Yauap crash.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_install:
	dh_auto_install --destdir="$(CURDIR)/debian/yauap"

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

%:
	dh --dbg-package=yauap-dbg $@

.PHONY: override_dh_auto_install override_dh_installchangelogs

=== debian/watch ===
version=3
http://download.savannah.nongnu.org/releases/yauap/yauap-((?:[\d.]|pre|rc)+).tar.gz
